%define upstream_name    Convert-UU
%define upstream_version 0.5201

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    UUencode and UUdecode
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Convert/%{upstream_name}-%{upstream_version}.tar.gz


BuildArch: noarch


%description
* * uuencode

  uuencode() takes as the first argument a string that is to be uuencoded.
  Note, that it is the string that is encoded, not a filename.
  Alternatively a filehandle may be passed that must be opened for reading.
  It returns the uuencoded string including 'begin' and 'end'. Second and
  third argument are optional and specify filename and mode. If unspecified
  these default to "uuencode.uu" and 644.

* * uudecode

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc ChangeLog README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/puudecode
/usr/bin/puuencode
/usr/share/man/man1/puudecode.1*
/usr/share/man/man1/puuencode.1*



%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.520.100-7.mga6
+ Revision: 1024388
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 0.520.100-6.mga6
+ Revision: 929415
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.520.100-5.mga5
+ Revision: 746815
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.520.100-4.mga5
+ Revision: 684021
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.520.100-3.mga4
+ Revision: 510230
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.520.100-2.mga3
+ Revision: 364818
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.520.100-1.mga1
+ Revision: 22220
- cleaning spec file
- imported package perl-Convert-UU

